Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

A short-lived OAuth access token for server-side requests. Generate one via the Generate OAuth Token flow or automatically when initializing the SDK client.

Path Parameters

project_id
string
required

The project ID, which starts with proj_.

Pattern: ^proj_[a-zA-Z0-9]+$

Body

application/json
app
string
required

The app's ID or name slug

name
string
required

Name of the override, unique per owner

oauth_app_id
string

Hash ID of the custom OAuth client to use

cfmap
object

Pre-defined custom field values, keyed by the app's custom field names. Sensitive (password-type) fields are rejected.

Response

app override created

A named set of pre-defined custom field values for an app, owned by the workspace or a project. For OAuth apps it can select the custom OAuth client to use.

id
string
required

Hash ID for the app override

Pattern: ^ao_[0-9A-Za-z]+$
name
string
required

Name of the override, unique per owner

app
object
required

Response object for a Pipedream app's metadata

cfmap
object
required

Pre-defined custom field values, keyed by the app's custom field names. Sensitive (password-type) fields cannot be pre-defined.

owner_id
string
required

Hash ID of the owner: the workspace (o_...) or the project (proj_...)

oauth_app_id
string | null

Hash ID of the custom OAuth client the override selects, if any

Pattern: ^oa_[0-9A-Za-z]+$
created_at
string<date-time>
updated_at
string<date-time>